%define snapshot 0
%define date 20130523

%define qtmajor 5
%define qtminor 2
%define qtsubminor 0
%define rel 3

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define libqthelp %mklibname qthelp %qtmajor
%define libqthelp_d %mklibname qt%{qtmajor}help -d
%define libqthelp_p_d %mklibname qt%{qtmajor}help-private -d

%define libqtdesigner %mklibname qtdesigner %qtmajor
%define libqtdesigner_d %mklibname qt%{qtmajor}designer -d
%define libqtdesigner_p_d %mklibname qt%{qtmajor}designer-private -d

%define libqtclucene %mklibname qtclucene %qtmajor
%define libqtclucene_d %mklibname qt%{qtmajor}clucene -d
%define libqtclucene_p_d %mklibname qt%{qtmajor}clucene-private -d

%if %snapshot
%define qttarballdir qttools-%{qtversion}-%date
%else
%define qttarballdir qttools-opensource-src-%{qtversion}
%endif
Name: qttools5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://download.qt-project.org/official_releases/qt/%{qtmajor}.%{qtminor}/%{version}/submodules/%{qttarballdir}.tar.xz
Source1: mageia-assistant-qt5.desktop
Source2: mageia-designer-qt5.desktop
Source3: mageia-linguist-qt5.desktop
BuildRequires: qtbase5-devel
BuildRequires: qt5core-private-devel
BuildRequires: qt5widgets-private-devel
BuildRequires: qt5gui-private-devel
BuildRequires: qt5dbus-private-devel
BuildRequires: qt5webkitwidgets-devel
BuildRequires: sed
#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt GUI tools

%files
%{_qt5_bindir}/lconvert
%{_qt5_bindir}/linguist
%{_qt5_bindir}/lrelease
%{_qt5_bindir}/lupdate
%{_qt5_bindir}/pixeltool
%{_qt5_bindir}/qtpaths
%{_qt5_datadir}/phrasebooks
%{_datadir}/applications/*linguist*.desktop
#FIXME: in the good package ?
%{_qt5_examplesdir}/linguist

#------------------------------------------------------------------------------

%package assistant
Summary: Qt%{qtmajor} Assistant Doc Utility
Group:   Documentation
Requires: qtbase5-database-plugin-sqlite

%description assistant
Qt Assistant provides a documentation Browser.

%files assistant
%{_qt5_bindir}/assistant*
%{_qt5_bindir}/qcollectiongen*
%{_qt5_bindir}/qhelpconv*
%{_qt5_bindir}/qhelpgen*
%{_datadir}/applications/*assistant*.desktop
#FIXME: in the good package ?
%{_qt5_examplesdir}/assistant

#------------------------------------------------------------------------------

%package designer
Summary: %{name} Visual Design Tool
Group: Development/KDE and Qt

%description designer
The Qt Designer is a visual design tool that makes designing and
implementing user interfaces a lot easier.

%files designer
%{_qt5_bindir}/design*
%{_qt5_plugindir}/designer
%{_datadir}/applications/*designer*.desktop

#------------------------------------------------------------------------------

%package qtdbus
Summary:  Qt%{qtmajor} Dbus Binary
Group: Development/KDE and Qt

%description qtdbus
Qt%{qtmajor} Dbus Binary.

The QtDBus module is a Unix-only library that you can use to perform 
Inter-Process Communication using the D-Bus protocol.

%files qtdbus
%{_qt5_bindir}/qdbus
%{_qt5_bindir}/qdbusviewer

#------------------------------------------------------------------------------

%package -n %{libqthelp}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Provides: qthelplib = %{version}

%description -n %{libqthelp}
Qt%{qtmajor} Component Library.

The QtHelp module provides classes for integrating online documentation
in applications.

%files -n %{libqthelp}
%{_qt5_libdir}/libQt5Help.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqthelp_d}
Summary: Devel files needed to build apps based on QtJsonDbCompat
Group:    Development/KDE and Qt
Requires: %{libqthelp} = %version
Requires: qtbase5-common-devel = %version
Provides: libqthelp5-devel = %version
Provides: libqt5help-devel = %version
Provides: qthelp5-devel = %version
Provides: qt5help-devel = %version

%description -n %{libqthelp_d}
Devel files needed to build apps based on QtJsonDbCompat.

%files -n %{libqthelp_d}
%{_qt5_libdir}/libQt5Help.prl
%{_qt5_libdir}/libQt5Help.so
%{_qt5_libdir}/pkgconfig/Qt5Help.pc
%{_qt5_includedir}/QtHelp
%exclude %{_qt5_includedir}/QtHelp/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_help.pri
%{_qt5_examplesdir}/help/
%{_qt5_libdir}/cmake/Qt5Help/Qt5HelpConfig.cmake
%{_qt5_libdir}/cmake/Qt5Help/Qt5HelpConfigVersion.cmake
#FIXME: Find a better place
%{_qt5_libdir}/cmake/Qt5LinguistTools/Qt5LinguistToolsConfig.cmake
%{_qt5_libdir}/cmake/Qt5LinguistTools/Qt5LinguistToolsMacros.cmake
%{_qt5_libdir}/cmake/Qt5LinguistTools/Qt5LinguistToolsConfigVersion.cmake

#------------------------------------------------------------------------------

%package -n %{libqthelp_p_d}
Summary: Devel files needed to build apps based on QtJsonDbCompat
Group:    Development/KDE and Qt
Requires: %{libqthelp_d} = %version
Provides: libqthelp5-private-devel = %version
Provides: libqt5help-private-devel = %version
Provides: qthelp5-private-devel = %version
Provides: qt5help-private-devel = %version

%description -n %{libqthelp_p_d}
Devel files needed to build apps based on QtJsonDbCompat.

%files -n %{libqthelp_p_d}
%{_qt5_includedir}/QtHelp/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_help_private.pri

#------------------------------------------------------------------------------

%package -n %{libqtclucene}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Provides: qtclucenelib = %{version}

%description -n %{libqtclucene}
Qt%{qtmajor} Component Library.

%files -n %{libqtclucene}
%{_qt5_libdir}/libQt5CLucene.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtclucene_d}
Summary: Devel files needed to build apps based on QtCLucene
Group:    Development/KDE and Qt
Requires: %{libqtclucene} = %version
Provides: libqtclucene5-devel = %version
Provides: libqt5clucene-devel = %version
Provides: qtclucene5-devel = %version
Provides: qt5clucene-devel = %version

%description -n %{libqtclucene_d}
Devel files needed to build apps based on QtCLucene.

%files -n %{libqtclucene_d}
%{_qt5_libdir}/libQt5CLucene.prl
%{_qt5_libdir}/libQt5CLucene.so
%{_qt5_libdir}/pkgconfig/Qt5CLucene.pc
%{_qt5_includedir}/QtCLucene
%exclude %{_qt5_includedir}/QtCLucene/%qtversion

#------------------------------------------------------------------------------

%package -n %{libqtclucene_p_d}
Summary: Devel files needed to build apps based on QtCLucene
Group:    Development/KDE and Qt
Requires: %{libqtclucene} = %version
Provides: libqtclucene5-private-devel = %version
Provides: libqt5clucene-private-devel = %version
Provides: qtclucene5-private-devel = %version
Provides: qt5clucene-private-devel = %version

%description -n %{libqtclucene_p_d}
Devel files needed to build apps based on QtCLucene.

%files -n %{libqtclucene_p_d}
%{_qt5_includedir}/QtCLucene/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_clucene_private.pri

#------------------------------------------------------------------------------

%package -n %{libqtdesigner}
Summary: Qt%{qtmajor} Component Library
Group: System/Libraries
Provides: qtdesignerlib = %{version}

%description -n %{libqtdesigner}
Qt%{qtmajor} Component Library.

The QtDesigner module provides classes that allow you to create your own
custom widget plugins for Qt Designer, and classes that enable you to 
access Qt Designer's components.

%files -n %{libqtdesigner}
%{_qt5_libdir}/libQt5Designer.so.%{qtmajor}*
%{_qt5_libdir}/libQt5DesignerComponents.so.%{qtmajor}*

#------------------------------------------------------------------------------

%package -n %{libqtdesigner_d}
Summary: Devel files needed to build apps based on QtDesigner
Group:    Development/KDE and Qt
Requires: %{libqtdesigner} = %version
Provides: libqtdesigner5-devel = %version
Provides: libqt5designer-devel = %version
Provides:  qtdesigner5-devel = %version
Provides:  qt5designer-devel = %version

%description -n %{libqtdesigner_d}
Devel files needed to build apps based on QtDesigner.

%files -n %{libqtdesigner_d}
%{_qt5_libdir}/libQt5Designer.so
%{_qt5_libdir}/libQt5DesignerComponents.so
%{_qt5_libdir}/libQt5Designer.prl
%{_qt5_libdir}/libQt5DesignerComponents.prl
%{_qt5_libdir}/libQt5UiTools.prl
%{_qt5_libdir}/libQt5UiTools.a
%{_qt5_libdir}/pkgconfig/Qt5Designer.pc
%{_qt5_libdir}/pkgconfig/Qt5DesignerComponents.pc
%{_qt5_libdir}/pkgconfig/Qt5UiTools.pc
%{_qt5_includedir}/QtDesignerComponents
%{_qt5_includedir}/QtDesigner
%exclude %{_qt5_includedir}/QtDesigner/%qtversion
%{_qt5_includedir}/QtUiTools
%exclude %{_qt5_includedir}/QtUiTools/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_designer.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_uitools.pri
%{_qt5_examplesdir}/designer
%{_qt5_examplesdir}/uitools
%{_qt5_libdir}/cmake/Qt5Designer
%{_qt5_libdir}/cmake/Qt5UiTools

#------------------------------------------------------------------------------

%package -n %{libqtdesigner_p_d}
Summary: Devel files needed to build apps based on QtDesigner
Group:    Development/KDE and Qt
Requires: %{libqtdesigner_d} = %version
Provides: libqtdesigner5-private-devel = %version
Provides: libqt5designer-private-devel = %version
Provides:  qtdesigner5-private-devel = %version
Provides:  qt5designer-private-devel = %version

%description -n %{libqtdesigner_p_d}
Devel files needed to build apps based on QtDesigner.

%files -n %{libqtdesigner_p_d}
%{_qt5_includedir}/QtDesigner/%qtversion
%{_qt5_includedir}/QtUiTools/%qtversion
%{_qt5_datadir}/mkspecs/modules/qt_lib_designer_private.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_designercomponents_private.pri
%{_qt5_datadir}/mkspecs/modules/qt_lib_uitools_private.pri

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir
%apply_patches

%build
%qmake_qt5

%make

#------------------------------------------------------------------------------

%install
make INSTALL_ROOT=$RPM_BUILD_ROOT install

mkdir -p %{buildroot}/%{_datadir}/applications
install -m 644 %SOURCE1 %{buildroot}/%{_datadir}/applications
install -m 644 %SOURCE2 %{buildroot}/%{_datadir}/applications
install -m 644 %SOURCE3 %{buildroot}/%{_datadir}/applications
sed -i -e 's#/usr/lib/qt5/bin#%{_qt5_bindir}#' %{buildroot}/%{_datadir}/applications/*.desktop

# Fix all buildroot paths
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec perl -pi -e "s, -L%{_builddir}/\S+,,g" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*prl' -exec sed -i -e "/^QMAKE_PRL_BUILD_DIR/d" {} \;
find %{buildroot}/%{_qt5_libdir} -type f -name '*la' -print -exec perl -pi -e "s, -L%{_builddir}/?\S+,,g" {} \;

# Don't reference builddir neither /usr(/X11R6)?/ in .pc files.
perl -pi -e '\
s@-L/usr/X11R6/%{_lib} @@g;\
s@-I/usr/X11R6/include @@g;\
s@-L/%{_builddir}\S+@@g'\
    `find . -name \*.pc`

# .la and .a files, die, die, die.
rm -f %{buildroot}%{_qt5_libdir}/lib*.la
#rm -f %{buildroot}%{_qt5_libdir}/lib*.a



%changelog
* Mon Dec 23 2013 neoclust <neoclust> 5.2.0-3.mga4
+ Revision: 560259
- Add qt5webkitwidgets-devel as Buildrequire mga #11998

* Sat Dec 14 2013 fwang <fwang> 5.2.0-2.mga4
+ Revision: 556704
- 5.2.0 final

* Sun Dec 01 2013 fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554418
- update file list
- update file list
- update file list
- 5.2.0 rc1

* Sat Oct 26 2013 fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547070
- 5.2.0 beta1

* Mon Oct 21 2013 umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538877
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 fwang <fwang> 5.2.0-1.alpha.1.mga4
+ Revision: 490719
- update file list
- 5.2.0 alpha1

* Sat Aug 10 2013 wally <wally> 5.2.0-0.0.20130523.4.mga4
+ Revision: 465116
- fix typo in cmake path patch

* Sat Aug 10 2013 wally <wally> 5.2.0-0.0.20130523.3.mga4
+ Revision: 465096
- add patch to fix cmake paths

* Mon May 27 2013 neoclust <neoclust> 5.2.0-0.0.20130523.2.mga4
+ Revision: 428825
- Rebuild against new qt5 libs location

* Sun May 26 2013 neoclust <neoclust> 5.2.0-0.0.20130523.1.mga4
+ Revision: 428071
- New QT 5.2 Snapshot
- New QT 5.2 Snapshot

* Wed Apr 17 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410386
- New version 5.0.2

* Sat Feb 02 2013 fwang <fwang> 5.0.1-2.mga3
+ Revision: 394054
- fix exec path of desktop file

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 393995
- New version 5.0.1 Final

* Thu Jan 31 2013 neoclust <neoclust> 5.0.1-0.rc1.3.mga3
+ Revision: 393622
- Fix files lists
- Move private header in their own package

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.2.mga3
+ Revision: 392575
- Add back .a files, needed by a qt5 package

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392376
- New version 5.0.1 rc1

  + fwang <fwang>
    - use xz

* Wed Jan 23 2013 neoclust <neoclust> 5.0.0-1.mga3
+ Revision: 391506
- Qt 5.0.0 FINAL
- New version rc1

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.17.mga3
+ Revision: 319084
- Fix wrong requires

* Fri Nov 16 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 318480
- imported package qttools5

